Skip to content
Permalink
Browse files

Simplify package structure

- Remove meteor specific code
- Do not import NPM library
- Use single file setup for both Atmosphere and NPM
  • Loading branch information...
dr-dimitru committed Aug 18, 2019
1 parent a0cea57 commit 27b9a68ca947954cd93bcd5772edbb8e733f6d1d
Showing with 1 addition and 9 deletions.
  1. +0 −1 .npmignore
  2. +0 −2 lib/meteor.js
  3. +1 −6 package.js
@@ -4,6 +4,5 @@
.github
.versions
lib/analytics.min.js
lib/meteor.js
node_modules
package.js

This file was deleted.

@@ -8,10 +8,5 @@ Package.describe({

Package.onUse((api) => {
api.versionsFrom('1.4');
api.use('ecmascript', 'client');
api.mainModule('./lib/meteor.js', 'client');
});

Npm.depends({
'ostrio-analytics': '1.1.8'
api.mainModule('./lib/analytics.js', 'client');
});

0 comments on commit 27b9a68

Please sign in to comment.
You can’t perform that action at this time.